Permalink
Browse files

ramips-mt76x8: remove VoCore 2 BROKEN flag again

The driver has stablized enough to officially support ramips-mt76x8 devices
again. At least remove BROKEN for VoCore 2 (as it was supported before).
  • Loading branch information...
NeoRaider committed Dec 29, 2018
1 parent 5746fb0 commit a6bce7959dc9a051d3ba0bbefd8d8ec652c85600
Showing with 12 additions and 1 deletion.
  1. +7 −0 docs/index.rst
  2. +4 −0 targets/ramips-mt76x8
  3. +1 −1 targets/targets.mk
@@ -366,6 +366,13 @@ ramips-mt7621
- WG3526-16M [#80211s]_
- WG3526-32M [#80211s]_

ramips-mt76x8
^^^^^^^^^^^^^

* VoCore

- VoCore2 [#80211s]_

ramips-rt305x
^^^^^^^^^^^^^

@@ -1,3 +1,5 @@
if [ "$BROKEN" ]; then

# GL.iNet

device gl-mt300n-v2 gl-mt300n-v2
@@ -13,6 +15,8 @@ device tp-link-tl-wr-841n-v13 tl-wr841n-v13
factory
extra_image -squashfs-tftp-recovery -bootloader .bin

fi


# VoCore 2

@@ -15,6 +15,7 @@ $(eval $(call GluonTarget,x86,64))
ifneq ($(GLUON_WLAN_MESH_11s)$(BROKEN),)
$(eval $(call GluonTarget,ipq40xx))
$(eval $(call GluonTarget,ramips,mt7620))
$(eval $(call GluonTarget,ramips,mt76x8))
$(eval $(call GluonTarget,ramips,rt305x))
endif

@@ -23,5 +24,4 @@ $(eval $(call GluonTarget,ar71xx,mikrotik)) # BROKEN: no sysupgrade support
$(eval $(call GluonTarget,brcm2708,bcm2710)) # BROKEN: Untested
$(eval $(call GluonTarget,ipq806x)) # BROKEN: unstable wifi drivers
$(eval $(call GluonTarget,mvebu,cortexa9)) # BROKEN: No AP+IBSS or 11s support
$(eval $(call GluonTarget,ramips,mt76x8)) # BROKEN: unstable WiFi
endif

0 comments on commit a6bce79

Please sign in to comment.